# -*- coding: utf-8 -*-

def calc_info(user_infos):
    """calcul secureid : identifiant crypté unique pour chaque utilisateur"""
    # vérification des groupes de l'utilisateur
    if (user_infos['typeadmin'][0] in ['1', '2']) or ('professeurs' in user_infos['user_groups']):
        # professeur, on retourne les disciplines enseignées
        disciplines = []
        for group in user_infos['user_groups']:
            gr_info = user_infos['info_groups'].get(group, {})
            if gr_info.get('description',[''])[0].startswith('Matiere '):
                disciplines.extend(gr_info['cn'])
        return disciplines
    # autre : rien
    return []
